local Original_GameTooltip_UnitColor;

function UnitReaction_OnLoad()
	Original_GameTooltip_UnitColor = GameTooltip_UnitColor;
	GameTooltip_UnitColor = Colorblind_GameTooltip_UnitColor;
	if ( not MonoColors ) then
		MonoColors = { r = 1, g = 1, b = 1 };
		Gogo_Mono = "no";
	end
end

function Colorblind_GameTooltip_UnitColor(unit)
	local r, g, b = Original_GameTooltip_UnitColor(unit);
	local Colors = {};

	if ( Gogo_Mono == "yes" ) then
		Colors = MonoColors;
	else
		Colors.r = r; Colors.g = g; Colors.b = b;
	end
	-- debugstuff 
	-- DEFAULT_CHAT_FRAME:AddMessage("Reaction stuff: ".."Red: "..r.." Green: "..g.." Blue: "..b);
	if ( UnitPlayerControlled(unit) ) then
		-- Ignoring PCs for now.
	else
		local reaction = UnitReaction(unit, "player");
		-- DEFAULT_CHAT_FRAME:AddMessage("Reaction: "..getglobal("FACTION_STANDING_LABEL"..reaction));
		if ( reaction ) then
			GameTooltip:AddLine(getglobal("FACTION_STANDING_LABEL"..reaction), Colors.r, Colors.g, Colors.b);
			GameTooltip:Show();
		else
			-- Do these even exist? Never seen 'em before myself, but puttin' it in anyway.
			GameTooltip:AddLine("Blue NPC", Colors.r, Colors.g, Colors.b);
			GameTooltip:Show();
		end
	end
	return Colors.r,Colors.g,Colors.b;
end